%global tandem tandem-linux-13-09-01-1

Name:    XTandem
Summary: X!TANDEM Spectrum Modeler
Version: 130901.1
Release: 2%{?dist}
License: Artistic 2.0
URL:     http://www.thegpm.org/tandem/
Source0: ftp://ftp.thegpm.org/projects/tandem/source/%{tandem}.tar.gz

Patch0:  %{name}-fix-missing-include-string-h.patch
Patch1:  %{name}-input_parameters_error.patch

BuildRequires: expat-devel, dos2unix

%description
X! Tandem is software that can match tandem mass spectra with peptide sequences, 
in a process that has come to be known as protein identification.

This software has a very simple, sophisticated \
application programming interface (API):
it simply takes an XML file of instructions on its command line, 
and outputs the results into an XML file, which has been specified \
in the input XML file.
The output file format is described at \
'http://www.thegpm.org/docs/X_series_output_form.pdf'.

%prep
%setup -q -n %{tandem}

dos2unix src/tandem.cpp

%patch0 -p1
%patch1 -p0

##Rename executable files
sed -e 's|./bin/tandem.exe|./bin/tandem|g' -i src/Makefile
sed -e 's|./bin/p3.exe|./bin/p3|g' -i src/Makefile

sed -i 's/\r$//' README
sed -i 's/\r$//' LICENSE

%build
make %{?_smp_mflags} -C src \
     CXXFLAGS="$RPM_OPT_FLAGS -DGCC4_3 -DPLUGGABLE_SCORING -DX_P3" \
     LDFLAGS="-L%{_libdir} -lpthread -lm -lexpat"

%install

##X!Tandem manual installation
mkdir -p %{buildroot}%{_bindir}
install -pm 755 bin/tandem %{buildroot}%{_bindir}

%check
pushd bin
 ./tandem input.xml
popd

%files
%doc LICENSE README
%{_bindir}/tandem

%changelog
* Sun Oct 05 2014 Antonio Trande <sagitter@fedoraproject.org> 130901.1-2
- Added a patch to fix the 'input parameters' error

* Mon Sep 29 2014 Antonio Trande <sagitter@fedoraproject.org> 130901.1-1
- First package
